---
apiVersion: cilium.io/v2
kind: CiliumNetworkPolicy
metadata:
  name: gatekeeper-ui
  namespace: gatekeeper-ui
spec:
  endpointSelector:
    matchLabels:
      app.kubernetes.io/name: gatekeeper-policy-manager

  ingress:
  # Allow traffic from  ingress-controller
  - fromEndpoints:
    - matchLabels:
        k8s:io.kubernetes.pod.namespace: ${ingress_namespace}
        app.kubernetes.io/name: ${ingress_name}
    toPorts:
    - ports:
      - port: "8080"
        protocol: TCP

  egress:

  # Allow kubernetes api
  - toEntities:
    - kube-apiserver
    toPorts:
    - ports:
      - port: "6443"
        protocol: TCP

  # Allow oidc discovery to ingress-controller
  - toEndpoints:
    - matchLabels:
        k8s:io.kubernetes.pod.namespace: ${ingress_namespace}
        app.kubernetes.io/name: ${ingress_name}
    toPorts:
    - ports:
      - port: "443"
        protocol: TCP
      - port: "8443"
        protocol: TCP

  # Allow talking to dex
  - toFQDNs:
    - matchName: "dex.${cluster_domain}"
    toPorts:
    - ports:
      - port: "443"
        protocol: TCP
